require "player"
require "bullet"
require "border"
require "enemies"
camera = require "camera"

function love.load()
	math.random() --Makes the random function "more random"
	math.random()
	math.random()
	spawnpointInit()
end

function love.update(dt)
local camx, camy = bulletXpos, bulletYpos --bulletXpos and Ypos are global and the same as the player's data x and y data
	cam = camera(camx,camy,.9,0)
	playerUpdate(dt)
	bullet_shoot(dt)

	enemyUpdate(dt)
end

function love.draw()
	cam:attach()
		playerDraw()
		bullet_draw()
		borderDraw()
		enemyDraw()
	cam:detach()
love.graphics.print(enemyCount.." enemies", 10, 10)
end

function love.keypressed(k)
	if k == "escape" then love.event.push("quit") end
end


function love.mousepressed(x, y, mb)
	playerMousepressed(mb)
end


function math.round(num, decPlaces) --Simply rounds numbers to the given decimal place. Useful for more precise decimal math.
  local mult = 10^(decPlaces or 0)
  return math.floor(num * mult + 0.5) / mult
end
