
local bullet = {}
bullet.timer = 0.199
bullet.count = 0
bullet.speed = 1200 --For some reason this has to be stupidly high...

bullet.img = {}
	bullet.img[1]= love.graphics.newImage("images/bulletred.png")
	bullet.img[2]= love.graphics.newImage("images/bulletblue.png")
	bullet.img[3]= love.graphics.newImage("images/bulletgreen.png")


function bullet_spawn(x, y)
	table.insert(bullet, {x=x, y=y,img= bullet.img[bulletcolor], rot=bulletRot})
end

function bullet_shoot(dt)
	if love.mouse.isDown("l") then
		bullet.timer = bullet.timer - 1*dt

		if bullet.timer <= 0 then
			bullet.timer = 0.199
			bullet_spawn(bulletXpos, bulletYpos)
		end
	end

	for bi, bv in ipairs(bullet) do
		bv.x = bv.x+(math.cos(bv.rot)*dt*bullet.speed)
		bv.y = bv.y+(math.sin(bv.rot)*dt*bullet.speed)


		--Destroys the bullet when it hits the wall.
		if bv.x < border.leftside+(border.width*2) or bv.x > border.rightside-(border.width*2) or bv.y < border.top+(border.width*2) or bv.y > border.bottom-(border.width*2) then
			table.remove(bullet, bi)
		end
	end
end

function bullet_draw()
	for i,v in ipairs(bullet) do
		love.graphics.draw(v.img, v.x, v.y, v.rot)
	end
end
